import { __assign, __rest } from "tslib";
import * as React from 'react';
import map from 'lodash/map';
import get from 'lodash/get';
import { Flex } from '../../../components/Flex';
import { getArrayItems } from './widget-util';
import { RenditionJsonSchemaRenderer } from '../index';
import { JsonTypes } from '../types';
import { UiOption } from './ui-options';
var ArrayWidget = function (_a) {
    var value = _a.value, schema = _a.schema, uiSchema = _a.uiSchema, extraContext = _a.extraContext, rest = __rest(_a, ["value", "schema", "uiSchema", "extraContext"]);
    var items = getArrayItems({ value: value, schema: schema, uiSchema: uiSchema, extraContext: extraContext });
    return (React.createElement(Flex, { flexDirection: get(uiSchema, ['ui:options', 'orientation']) === 'horizontal'
            ? 'row'
            : 'column', flexWrap: "wrap" }, map(items, function (item, index) {
        return (React.createElement(RenditionJsonSchemaRenderer, __assign({ key: index, nested: true }, item, rest)));
    })));
};
ArrayWidget.uiOptions = {
    orientation: __assign(__assign({}, UiOption.string), { enum: ['vertical', 'horizontal'] }),
    truncate: UiOption.integer,
};
ArrayWidget.supportedTypes = [JsonTypes.array];
export default ArrayWidget;
