import { __assign, __rest } from "tslib";
import * as React from 'react';
import get from 'lodash/get';
import Badge from '../../../components/Badge';
import { hashCode } from '../../../utils';
import { UiOption } from './ui-options';
import { JsonTypes } from '../types';
var BadgeWidget = function (_a) {
    var value = _a.value, schema = _a.schema, uiSchema = _a.uiSchema, props = __rest(_a, ["value", "schema", "uiSchema"]);
    var shade = get(props, 'shade', hashCode(value.toString(), 23));
    return (React.createElement(Badge, __assign({}, props, { shade: shade }), value.toString()));
};
BadgeWidget.uiOptions = {
    shade: UiOption.number,
};
BadgeWidget.supportedTypes = [
    JsonTypes.string,
    JsonTypes.integer,
    JsonTypes.number,
    JsonTypes.boolean,
];
export default BadgeWidget;
