import { __assign, __rest } from "tslib";
import * as React from 'react';
import get from 'lodash/get';
import Link from '../../../components/Link';
import { UiOption } from './ui-options';
import { JsonTypes } from '../types';
var LinkWidget = function (_a) {
    var value = _a.value, schema = _a.schema, uiSchema = _a.uiSchema, props = __rest(_a, ["value", "schema", "uiSchema"]);
    var href = get(props, 'href', value.toString());
    if (get(schema, 'format') === 'email') {
        href = "mailto:" + href.replace(/^mailto:/, '');
    }
    return (React.createElement(Link, __assign({}, props, { href: href }), value.toString()));
};
LinkWidget.uiOptions = {
    blank: UiOption.boolean,
    download: UiOption.string,
    href: UiOption.string,
    rel: UiOption.string,
    type: UiOption.string,
};
LinkWidget.supportedTypes = [JsonTypes.string];
export default LinkWidget;
